<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Alter the entity InputData.
        Change column decimal precision to 8, in columns source_value, variable_value, imputed_value
    -->
    <changeSet id="20250131120000-1" author="omg">
		<modifyDataType tableName="input_data" columnName="source_value" newDataType="decimal(21,8)" />
		<modifyDataType tableName="input_data" columnName="variable_value" newDataType="decimal(21,8)" />
		<modifyDataType tableName="input_data" columnName="imputed_value" newDataType="decimal(21,8)" />
    </changeSet>
</databaseChangeLog>
